package com.gree.mall.manager.enums.material;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum GoodsMaterialStockAccBillTypeEnum{
    A("销售订单"),
    B("采购入库单"),
    C("采购退货单"),
    D("销售订单退货"),
    E("订单退货"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
}
